LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices


Reply
  Search this Thread
Old 11-08-2019, 12:46 PM   #1
Timothy Miller
Moderator
 
Registered: Feb 2003
Location: Arizona, USA
Distribution: Debian, KDE Neon, Arch, Void
Posts: 3,204

Rep: Reputation: 1007Reputation: 1007Reputation: 1007Reputation: 1007Reputation: 1007Reputation: 1007Reputation: 1007Reputation: 1007
Is the PowerMac G5 "quad core" a PPC64el?


So there's a PowerMac G5 "quad core" for sale locally $40. No hard drive and no OS. I have a hard drive that actually will fit it (SSD even, 480GB) onhand, and obviously I'd want to put linux on it. Therein lies the problem. I've never followed Macs. I know it's 64-bit power pc, but is it the full ppc64el that all modern power pc distro's support? I'd love to play around with this just for S's & G's, maybe max out the ram (16 GB in 8 slots!!). I mean, quad core 16 GB ram would still be a reasonably nice system today!!

If it does support the ppc64el, has anyone used this before and is it easy to install linux nowadays? I know the few reviews I read of putting linux on the power pc Macs it was mostly horror, but they were also all 10 years old.

Last edited by Timothy Miller; 11-08-2019 at 12:48 PM.
 
Old 11-09-2019, 08:37 AM   #2
wagscat123
Member
 
Registered: Jan 2009
Location: Maryland-Pennsylvania border, USA
Distribution: openSUSE 15.1, Tumbleweed, Ubuntu 19.04, Mageia 7, Fedora 30, Debian 10, and Linux Mint 19.1
Posts: 794
Blog Entries: 11

Rep: Reputation: 113Reputation: 113
I believe it technically is, but the ppc64el Debian wiki says old Macs are not targeted. I wouldn't be surprised if it struggles with the boot ROM or won't even work at all. Perhaps worth a try if you have CDs to spare and use as a possible test.

My PowerBook G3 has too little RAM to get through the Ubuntu 16.04 installer, but you almost certainly could install the Ubuntu 16.04 PowerPC version since your machine is much more powerful: http://cdimage.ubuntu.com/releases/16.04/release/

Ubuntu 16.04 has support for a little longer. I was installing Debian on the G3, which would be similar enough with the New World ROM and all, if you have questions.

Last edited by wagscat123; 11-09-2019 at 09:54 AM.
 
Old 11-09-2019, 02:04 PM   #3
FredGSanford
Senior Member
 
Registered: Nov 2005
Location: USA
Distribution: Mageia 7 - Debian 10 - Artix Linux
Posts: 1,114
Blog Entries: 5

Rep: Reputation: 206Reputation: 206Reputation: 206
What video chipset does it use? I remember the Broadcom chipset on my PPC G4 Mini Mac, watching videos was terrible. During other things was okay. The only distro I used on it is Debian.
 
Old 11-09-2019, 06:16 PM   #4
Timothy Miller
Moderator
 
Registered: Feb 2003
Location: Arizona, USA
Distribution: Debian, KDE Neon, Arch, Void
Posts: 3,204

Original Poster
Rep: Reputation: 1007Reputation: 1007Reputation: 1007Reputation: 1007Reputation: 1007Reputation: 1007Reputation: 1007Reputation: 1007
Quote:
Originally Posted by FredGSanford View Post
What video chipset does it use? I remember the Broadcom chipset on my PPC G4 Mini Mac, watching videos was terrible. During other things was okay. The only distro I used on it is Debian.
No idea, doesn't say in the ad.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Possible to install KDE on Talos II Power9 systems (ppc64el) davide445 Linux - Software 5 09-11-2019 04:33 PM
Problem parsing dependency 21. An error occurred while processing libgo13-dbg-ppc64el-cross (NewVersion2) Midoban Ubuntu 1 07-26-2019 03:42 PM
2.1GHz Quad Core Barcelona CPU was recognized as 1.3GHz Quad Core libin88 Linux - Hardware 6 11-03-2008 03:08 PM
Help With Java Problem Please"""""""""""" suemcholan Linux - Newbie 1 04-02-2008 07:02 PM
Fedora Core 6 - Support for Quad Core Xeon baddah Linux - Hardware 1 09-20-2007 06:20 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware

All times are GMT -5. The time now is 05:29 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration